spring.application.name=microservice-user
server.port=8096
server.servlet.context-path=/v1
spring.profiles.active=dev
# Database configuration
spring.datasource.driver-class-name=org.postgresql.Driver
spring.datasource.url=jdbc:postgresql://127.0.0.1:5432/user_api
spring.datasource.username=postgres
spring.datasource.password=postgres
spring.jpa.generate-ddl=true
spring.jpa.defer-datasource-initialization=true
spring.sql.init.mode=always

# Eureka configuration
eureka.client.service-url.defaultZone=${EUREKA_SERVER:http://localhost:8761/eureka}

